# resource vultr_firewall_rule web_inbound {
#   for_each = toset([for port in [80, 443, 6443] : tostring(port) ])
#   firewall_group_id = vultr_kubernetes.athens.firewall_group_id
#   protocol = "tcp"
#   ip_type = "v4"
#   subnet = "0.0.0.0"
#   subnet_size = 0
#   port = each.value
# }

resource vultr_firewall_group bastion {
  description = "For connections into and out of the bastion host"
}

resource vultr_firewall_rule bastion_inbound {
  firewall_group_id = vultr_firewall_group.bastion.id
  protocol = "tcp"
  ip_type = "v4"
  subnet = "0.0.0.0"
  subnet_size = 0
  port = 22
}

